> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v3/international-tournaments/how-to-build-your-football-tournament-application.md).

# How-to build your Football tournament application

## How to build your application with Sportmonks' Football Data

Welcome to our step-by-step guide on building an application for the 2026 tournament using Sportmonks' football data. As the biggest football tournament in the world, the 2026 tournament promises thrilling matches featuring top teams like Brazil, Spain, Germany, Argentina, France, and England. With our comprehensive football data, you can create a powerful, engaging app for your users.

In this guide, we'll cover the following key aspects of building your 2026 tournament application:

* Full season schedule
* (live) Standings
* Team squads
* Season topscorers

Before we dive in, please ensure you have access to the 2026 tournament league data (League ID: 732). This access is crucial for retrieving and displaying the relevant data.

#### Retrieving the full season schedule

To begin, you'll want to display the complete 2026 tournament schedule, including group stages and knockout rounds. The challenge is that knockout games aren't determined until later in the tournament. Our API simplifies this by using a property called `is_placeholder` on both fixture and team responses.

**How it works:**

* The `is_placeholder` property helps you identify if a fixture is a placeholder (i.e., dummy data) or finalised.
* This property is a boolean (`true` or `false`). If `is_placeholder` is `false`, the data is final. The fixture ID will remain consistent even when real data replaces placeholder data.

You can use the GET Schedule by Season ID endpoint with the includes to retrieve all the stages with the fixtures and the teams involved:

*(Request / Response code blocks unchanged — keep existing.)*

```
https://api.sportmonks.com/v3/football/schedules/seasons/26618?api_token=YOUR_TOKEN
```

#### Displaying season standings

Next, you'll want to show the group standings as teams progress through the tournament. The group stages and participating teams for the 2026 tournament will be available, and you can access this data using our standings endpoint.

```
https://api.sportmonks.com/v3/football/standings/seasons/26618?api_token=YOUR_TOKEN&include=participant;group
```

*(Standings JSON response unchanged — keep the existing sample.)*

In our 2026 tournament all-in package, you'll also have access to **live standings**, which update in real-time as matches are played.

#### Accessing team squads

After gathering the schedule and standings, displaying the participating teams' squads and their players adds a personal touch to your app. The easiest way to request this is to use our GET Team by Season ID.

```
https://api.sportmonks.com/v3/football/teams/seasons/26618?api_token=YOUR_TOKEN
```

Of course, if you want the teams separately you can use the team squad by team and season id endpoint.

#### Identifying the topscorers

Tracking top scorers is essential for any tournament application. Fans are always interested in who's leading in goals, assists, and cards. You can use the topscorers by season endpoint: GET Topscorers by Season id.

```
https://api.sportmonks.com/v3/football/topscorers/seasons/26618?api_token=YOUR_TOKEN
```

This request provides a basic response with player IDs. To get detailed information, such as player and team names, use the include parameter like this:

```
https://api.sportmonks.com/v3/football/topscorers/seasons/26618?api_token=YOUR_TOKEN&include=type;player
```

We want the player and team names and not just their player ID. We can do this for all three top scorers, which are:

* Goalscorers → players who have scored a goal
* Assistscorers → players who gave assists
* Cardscorers → players who have received yellow or red cards

So how do we know which topscorer belongs to which type? We use the include type. So we could for example request everything.

#### Enhance your application

Beyond the basic data, you can enrich your 2026 tournament application with detailed match, team, player, and season statistics. By combining these elements, you can create a dynamic and interactive experience for your users.

Do you have any questions? Just contact our team with any questions or concerns.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportmonks.com/v3/international-tournaments/how-to-build-your-football-tournament-application.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
